RegExFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.filters.RegExFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.filters
Class RegExFilter

    java.lang.Object
      org.mule.routing.filters.RegExFilter

All Implemented Interfaces:
  Filter, ObjectFilter

    public class RegExFilter

extends Object
implements Filter, ObjectFilter

`RegExFilter` is used to match a String argument against a regular pattern.

Field Summary
`protected Log` | `logger`

Constructor Summary
`RegExFilter()`
`RegExFilter(String pattern)`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`boolean` | `accept(Object object)`
`boolean` | `equals(Object obj)`
`String` | `getExpression()` Deprecated. Use `getPattern()` This method name was changed to be consistent with other filters
`String` | `getPattern()`
`int` | `hashCode()`
`void` | `setExpression(String expression)` Deprecated. Use `getPattern()` This method name was changed to be consistent with other filters
`void` | `setPattern(String pattern)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### RegExFilter

    public RegExFilter()

### RegExFilter

    public RegExFilter(String pattern)

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### accept

    public boolean accept(Object object)

  Specified by:
    `accept` in interface `ObjectFilter`

### getPattern

    public String getPattern()

### setPattern

    public void setPattern(String pattern)

### getExpression

    public String getExpression()

  Deprecated. Use `getPattern()` This method name was changed to be consistent with other filters

  Returns:

### setExpression

    public void setExpression(String expression)

  Deprecated. Use `getPattern()` This method name was changed to be consistent with other filters

  Parameters:
    `` -

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.